
#include <stdio.h>

void writeOctaveHead(FILE* file) {
	
	fprintf(file,"A = [\n");
	
}

void writeData2ToOctave(FILE* file, double time, double X, double Z) {
	fprintf(file,"%f , %f , %f \n",time,X,Z);
}

void writeDataToOctave(FILE* file, double time, double LDR_L, double LDR_R,
                                   double inL1, double inR1,
								   double locnX, double locnY){
									   
	fprintf(file,"%f , %f , %f , %f , %f, %f, %f \n", time, LDR_L, LDR_R, inL1,
			inR1, locnX,locnY);
}

void writeOctaveTail(FILE* file) {
	fprintf(file,"];\n");
	fprintf(file,"time  = A(:,1)/1000.0;\n");
	fprintf(file,"LDR_L  = A(:,2);\n");
	fprintf(file,"LDR_R  = A(:,3);\n");
	fprintf(file,"inL1 = A(:,4);\n");
	fprintf(file,"inR1 = A(:,5);\n");
	fprintf(file,"locnX = A(:,6);\n");
	fprintf(file,"locnY = A(:,7);\n");	
	
	fprintf(file,"figure(1);\n");
	fprintf(file,"subplot(2,1,1);\n");
	fprintf(file,"plot(time,LDR_L,time,LDR_R);\n");
	fprintf(file,"grid();\n");
	fprintf(file,"xlabel('time');\n");
	fprintf(file,"ylabel('LDR_L, LDR_R');\n");
	
	fprintf(file,"subplot(2,1,2);\n");
	fprintf(file,"plot(time,inL1,time,inR1);\n");	
	fprintf(file,"grid();\n");
	fprintf(file,"xlabel('time');\n");
	fprintf(file,"ylabel('inL1, inR1');\n");	
	
	
	fprintf(file,"figure(2);\n");
	fprintf(file,"subplot(2,1,1);\n");	
	fprintf(file,"plot(locnX,LDR_L);\n");
	fprintf(file,"grid();\n");	
	fprintf(file,"xlabel('locnX');\n");
	fprintf(file,"ylabel('LDR_L, LDR_R');\n");
	
	fprintf(file,"subplot(2,1,2);\n");	
    fprintf(file,"plot(locnX,inL1);\n");		
	fprintf(file,"grid();\n");
	fprintf(file,"xlabel('locnX');\n");
	fprintf(file,"ylabel('inL1, inR1');\n");
}

