
#include <stdio.h>

void writeOctaveHead(FILE* file) {
	
	fprintf(file,"A = [\n");
	
}

void writeData2ToOctave(FILE* file, double time, double X, double Z) {
	fprintf(file,"%f , %f , %f \n",time,X,Z);
}

void writeDataToOctave(FILE* file,  double time, double inL1, double inR1,
									double u0, double u1,
                                    double outL1, double outR1,
									double u2, double u3,
								    double outL2, double outR2,
									double locnX, double locnY){
									   
	fprintf(file,"%f , %f , %f , %f , %f, %f, %f, %f , %f , %f , %f , %f , %f\n", time, inL1, inR1, u0, u1, outL1,
			outR1, u2, u3, outL2, outR2, locnX, locnY);
}

void writeOctaveTail(FILE* file) {
	fprintf(file,"];\n");
	fprintf(file,"time  = A(:,1)/1000.0;\n");
	fprintf(file,"inL1  = A(:,2);\n");
	fprintf(file,"inR1  = A(:,3);\n");
	fprintf(file,"u0    = A(:,4);\n");
	fprintf(file,"u1 =    A(:,5);\n");
	fprintf(file,"outL1 = A(:,6);\n");
	fprintf(file,"outR1 = A(:,7);\n");	
	fprintf(file,"u2    = A(:,8);\n");
	fprintf(file,"u3    = A(:,9);\n");	
	fprintf(file,"outL2 = A(:,10);\n");
	fprintf(file,"outR2 = A(:,11);\n");		
	fprintf(file,"locnX = A(:,12);\n");
	fprintf(file,"locnY = A(:,13);\n");		
		
	
	fprintf(file,"figure(1);\n");
	fprintf(file,"subplot(5,1,1);\n");
	fprintf(file,"plot(time,inL1,time,inR1);\n");
	fprintf(file,"grid();\n");
	fprintf(file,"xlabel('time');\n");
	fprintf(file,"ylabel('inL inR');\n");
	
	fprintf(file,"subplot(5,1,2);\n");
	fprintf(file,"plot(time,u0,time,u1);\n");	
	fprintf(file,"grid();\n");
	fprintf(file,"xlabel('time');\n");
	fprintf(file,"ylabel('u[0] u[1]');\n");	
	
	fprintf(file,"subplot(5,1,3);\n");
	fprintf(file,"plot(time,outL1,time,outR1);\n");		
	fprintf(file,"grid();\n");
	fprintf(file,"xlabel('time');\n");
	fprintf(file,"ylabel('outL1 outR1');\n");
	
	fprintf(file,"subplot(5,1,4);\n");
	fprintf(file,"plot(time,u2,time,u3);\n");	
	fprintf(file,"grid();\n");
	fprintf(file,"xlabel('time');\n");
	fprintf(file,"ylabel('u[2] u[3]');\n");	
	
	fprintf(file,"subplot(5,1,5);\n");
	fprintf(file,"plot(time,outL2,time,outR2);\n");		
	fprintf(file,"grid();\n");
	fprintf(file,"xlabel('time');\n");
	fprintf(file,"ylabel('outL2 outR2');\n");	
	
	fprintf(file,"figure(2);\n");

	fprintf(file,"plot(locnX,locnY);\n");
	fprintf(file,"grid();\n");
	fprintf(file,"xlabel('locnX');\n");
	fprintf(file,"ylabel('locnY');\n");
	
}

