
#include <stdio.h>

void writeOctaveHead(FILE* file, double A, double B, double C, double D,
                     double E, double F, double offset, double tonic) {
	
	fprintf(file,"%%Parameters ---------\n");
	fprintf(file,"A = %f;\n",A);
	fprintf(file,"B = %f;\n",B);
	fprintf(file,"C = %f;\n",C);
	fprintf(file,"D = %f;\n",D);
	fprintf(file,"E = %f;\n",E);
	fprintf(file,"F = %f;\n",F);
	fprintf(file,"offset = %f;\n",offset);
	fprintf(file,"tonic = %f;\n",tonic);
	
	fprintf(file,"AA = [\n");
	
}

void writeData2ToOctave(FILE* file, double time, double X, double Z) {
	fprintf(file,"%f , %f , %f \n",time,X,Z);
}

void writeDataToOctave(FILE* file, double time, double inL1, double inR1,
                                   double outL1, double outR1,
								   double u2, double u3,
								   double outIL, double outIR,
								   double outL2, double outR2,
								   double locX, double locY){
									   
	fprintf(file,"%f , %f , %f , %f , %f, %f, %f , %f , %f , %f , %f , %f , %f\n", 
	   time, inL1, inR1, outL1,outR1, u2, u3, outIL, outIR, outL2, outR2,locX,locY);
}

void writeOctaveTail(FILE* file) {
	fprintf(file,"];\n");
	fprintf(file,"time  = AA(:,1)/1000.0;\n");
	fprintf(file,"inL1  = AA(:,2);\n");
	fprintf(file,"inR1  = AA(:,3);\n");
	fprintf(file,"u2    = AA(:,4);\n");
	fprintf(file,"u3    = AA(:,5);\n");
	fprintf(file,"outL1 = AA(:,6);\n");
	fprintf(file,"outR1 = AA(:,7);\n");
	fprintf(file,"outIL = AA(:,8);\n");
	fprintf(file,"outIR = AA(:,9);\n");
	fprintf(file,"outL2 = AA(:,10);\n");
	fprintf(file,"outR2 = AA(:,11);\n");	

	fprintf(file,"locX = AA(:,12);\n");
	fprintf(file,"locY = AA(:,13);\n");
	
	fprintf(file,"figure(1);\n");
	fprintf(file,"subplot(5,1,1);\n");
	fprintf(file,"plot(time,inL1,time,inR1);\n");
	fprintf(file,"grid();\n");
	fprintf(file,"title('inL1, inR1');\n");
	fprintf(file,"legend('inL','inR');\n");
	
	fprintf(file,"subplot(5,1,2);\n");
	fprintf(file,"plot(time,outL1,time,outR1);\n");	
	fprintf(file,"grid();\n");
	fprintf(file,"title('outL1, outR1');\n");
	
	fprintf(file,"subplot(5,1,3);\n");
	fprintf(file,"plot(time,u2,time,u3);\n");	
	fprintf(file,"grid();\n");
	fprintf(file,"title('u2, u3');\n");
	
	fprintf(file,"subplot(5,1,4);\n");
	fprintf(file,"plot(time,outIL,time,outIR);\n");		
	fprintf(file,"grid();\n");
	fprintf(file,"title('outIL, outIR');\n");
	
	fprintf(file,"subplot(5,1,5);\n");
	fprintf(file,"plot(time,outL2,time,outR2);\n");		
	fprintf(file,"grid();\n");
	fprintf(file,"title('outL2, outR2');\n");
	fprintf(file,"legend('outL2','outR2');\n");
	
	// Record parameters on x-axis
	//fprintf(file,"formatSpec = '%%6.3f'\n");	
	fprintf(file,"str = sprintf('A = %%5.2f, B = %%5.2f, C = %%5.2f, D = %%5.2f, E = %%5.2f, F = %%5.2f, \\n offset = %%5.2f, tonic = %%5.2f',A,B,C,D,E,F,offset,tonic);\n");
	
	
	
	fprintf(file,"xlabel(str)\n");
	fprintf(file,"figure(2);\n");
	
	fprintf(file,"plot(0,0,'o');\n");
	fprintf(file,"hold on;\n");
	
	fprintf(file,"plot(locX,locY);\n");
	fprintf(file,"grid();\n");
	fprintf(file,"axis([-0.8,0.8,-0.8,0.8]);\n");
	fprintf(file,"axis('equal');\n");
	fprintf(file,"title('locX - locY');\n");
	
	
	fprintf(file,"hold off;\n");
}

