
#include <stdio.h>

void writeOctaveHead(FILE* file) {
	
	fprintf(file,"A = [\n");
	
}

// writes perceived x and y then gps x and y
// then writes actual ratio, error, omegaL, omegaR
void writeData4ToOctave(FILE* file, double X1, double Z1, double X2, double Z2, double rat, double err, double omL, double omR) {
	fprintf(file,"%f , %f , %f , %f, %f , %f , %f, %f\n",X1,Z1,X2,Z2,rat,err,omL,omR);
}

void writeOctaveTail(FILE* file) {
	fprintf(file,"];\n");
	fprintf(file,"x1 = A(:,1);\n");
	fprintf(file,"y1 = A(:,2);\n");
	fprintf(file,"x2 = A(:,3);\n");
	fprintf(file,"y2 = A(:,4);\n");	
    
	fprintf(file,"rat = A(:,5);\n");	
    fprintf(file,"err = A(:,6);\n");	
	fprintf(file,"omL = A(:,7);\n");	
	fprintf(file,"omR = A(:,8);\n");	
					
	fprintf(file,"figure(1);\n");
	fprintf(file,"plot(x1,y1,'r',x2,y2,'b');\n");
	fprintf(file,"axis('square');\n");
	fprintf(file,"axis('equal');\n");	
	fprintf(file,"grid;\n");	
	fprintf(file,"xlabel('z-component (m)');\n");
	fprintf(file,"ylabel('x-component (m)');\n");
	fprintf(file,"title('Trajectory for ePuck: perceived (red), actual(blue)');\n");
	
	fprintf(file,"figure(2);\n");
	fprintf(file,"subplot(2,1,1);\n");
	fprintf(file,"plot(omL);\n");
    fprintf(file,"hold on;\n");
	fprintf(file,"plot(omL);\n");

	fprintf(file,"subplot(2,1,2);\n");	
	fprintf(file,"plot(err);\n");
	

}

void writeHandlesToOctave(FILE* file, double x0,double y0,double x3,double y3) {
	fprintf(file,"plot(%f,%f,'o');\n",x0,y0);
	fprintf(file,"plot(%f,%f,'o');\n",x3,y3);
	
}